/// <reference types="react" />
import * as React from 'react';
import * as PropTypes from 'prop-types';
import { IServer } from '@container-stack/core';
export interface ServerProps {
    server: IServer;
    remove?: Function;
    routeTo?: Function;
    onSettings?: Function;
}
export declare class Server extends React.Component<ServerProps, any> {
    static contextTypes: {
        renderer: PropTypes.Validator<any>;
    };
    readonly footer: JSX.Element;
    readonly description: JSX.Element[];
    render(): JSX.Element;
}
